package cc.fascinated.bat.features.scoresaber.command.numberone;

import cc.fascinated.bat.command.BatCommand;
import lombok.NonNull;
import net.dv8tion.jda.api.Permission;
import org.springframework.context.ApplicationContext;
import org.springframework.stereotype.Component;

/**
 * @author Fascinated (fascinated7)
 */
@Component("scoresaber-number-one-feed")
public class NumberOneFeedCommand extends BatCommand {
    public NumberOneFeedCommand(@NonNull ApplicationContext context) {
        super("scoresaber-number-one-feed", "Modifies the settings for the feed.", true, Permission.MANAGE_SERVER);

        super.addSubCommand("channel", context.getBean(ChannelSubCommand.class));
        super.addSubCommand("reset", context.getBean(ResetSubCommand.class));
    }
}
