package cc.fascinated.bat.model.token.thecatapi;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * @author Fascinated (fascinated7)
 */
@Getter @AllArgsConstructor
public class CatImageToken {
    /**
     * The ID of the image.
     */
    private String id;

    /**
     * The URL of the image.
     */
    private String url;

    /**
     * The width of the image.
     */
    private int width;

    /**
     * The height of the image.
     */
    private int height;
}
